% The contents of this file are subject to the Interbase Public
% License Version 1.0 (the "License"); you may not use this file
% except in compliance with the License. You may obtain a copy
% of the License at http://www.Inprise.com/IPL.html
% 
% Software distributed under the License is distributed on an
% "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
% or implied. See the License for the specific language governing
% rights and limitations under the License.

-module(efirebirdsql_errmsgs).

-export([get_error_msg/1]).

get_error_msg(335544321) -> "arithmetic exception, numeric overflow, or string truncation~n";
get_error_msg(335544322) -> "invalid database key~n";
get_error_msg(335544323) -> "file ~s is not a valid database~n";
get_error_msg(335544324) -> "invalid database handle (no active connection)~n";
get_error_msg(335544325) -> "bad parameters on attach or create database~n";
get_error_msg(335544326) -> "unrecognized database parameter block~n";
get_error_msg(335544327) -> "invalid request handle~n";
get_error_msg(335544328) -> "invalid BLOB handle~n";
get_error_msg(335544329) -> "invalid BLOB ID~n";
get_error_msg(335544330) -> "invalid parameter in transaction parameter block~n";
get_error_msg(335544331) -> "invalid format for transaction parameter block~n";
get_error_msg(335544332) -> "invalid transaction handle (expecting explicit transaction start)~n";
get_error_msg(335544333) -> "internal Firebird consistency check (~s)~n";
get_error_msg(335544334) -> "conversion error from string '~s'~n";
get_error_msg(335544335) -> "database file appears corrupt (~s)~n";
get_error_msg(335544336) -> "deadlock~n";
get_error_msg(335544337) -> "attempt to start more than ~s transactions~n";
get_error_msg(335544338) -> "no match for first value expression~n";
get_error_msg(335544339) -> "information type inappropriate for object specified~n";
get_error_msg(335544340) -> "no information of this type available for object specified~n";
get_error_msg(335544341) -> "unknown information item~n";
get_error_msg(335544342) -> "action cancelled by trigger (~s) to preserve data integrity~n";
get_error_msg(335544343) -> "invalid request BLR at offset ~s~n";
get_error_msg(335544344) -> "I/O error during '~s' operation for file '~s'~n";
get_error_msg(335544345) -> "lock conflict on no wait transaction~n";
get_error_msg(335544346) -> "corrupt system table~n";
get_error_msg(335544347) -> "validation error for column ~s, value '~s'~n";
get_error_msg(335544348) -> "no current record for fetch operation~n";
get_error_msg(335544349) -> "attempt to store duplicate value (visible to active transactions) in unique index '~s'~n";
get_error_msg(335544350) -> "program attempted to exit without finishing database~n";
get_error_msg(335544351) -> "unsuccessful metadata update~n";
get_error_msg(335544352) -> "no permission for ~s access to ~s ~s~n";
get_error_msg(335544353) -> "transaction is not in limbo~n";
get_error_msg(335544354) -> "invalid database key~n";
get_error_msg(335544355) -> "BLOB was not closed~n";
get_error_msg(335544356) -> "metadata is obsolete~n";
get_error_msg(335544357) -> "cannot disconnect database with open transactions (~s active)~n";
get_error_msg(335544358) -> "message length error (encountered ~s, expected ~s)~n";
get_error_msg(335544359) -> "attempted update of read-only column~n";
get_error_msg(335544360) -> "attempted update of read-only table~n";
get_error_msg(335544361) -> "attempted update during read-only transaction~n";
get_error_msg(335544362) -> "cannot update read-only view ~s~n";
get_error_msg(335544363) -> "no transaction for request~n";
get_error_msg(335544364) -> "request synchronization error~n";
get_error_msg(335544365) -> "request referenced an unavailable database~n";
get_error_msg(335544366) -> "segment buffer length shorter than expected~n";
get_error_msg(335544367) -> "attempted retrieval of more segments than exist~n";
get_error_msg(335544368) -> "attempted invalid operation on a BLOB~n";
get_error_msg(335544369) -> "attempted read of a new, open BLOB~n";
get_error_msg(335544370) -> "attempted action on BLOB outside transaction~n";
get_error_msg(335544371) -> "attempted write to read-only BLOB~n";
get_error_msg(335544372) -> "attempted reference to BLOB in unavailable database~n";
get_error_msg(335544373) -> "operating system directive ~s failed~n";
get_error_msg(335544374) -> "attempt to fetch past the last record in a record stream~n";
get_error_msg(335544375) -> "unavailable database~n";
get_error_msg(335544376) -> "table ~s was omitted from the transaction reserving list~n";
get_error_msg(335544377) -> "request includes a DSRI extension not supported in this implementation~n";
get_error_msg(335544378) -> "feature is not supported~n";
get_error_msg(335544379) -> "unsupported on-disk structure for file ~s; found ~s.~s, support ~s.~s~n";
get_error_msg(335544380) -> "wrong number of arguments on call~n";
get_error_msg(335544381) -> "Implementation limit exceeded~n";
get_error_msg(335544382) -> "~s~n";
get_error_msg(335544383) -> "unrecoverable conflict with limbo transaction ~s~n";
get_error_msg(335544384) -> "internal error~n";
get_error_msg(335544385) -> "internal error~n";
get_error_msg(335544386) -> "too many requests~n";
get_error_msg(335544387) -> "internal error~n";
get_error_msg(335544388) -> "block size exceeds implementation restriction~n";
get_error_msg(335544389) -> "buffer exhausted~n";
get_error_msg(335544390) -> "BLR syntax error: expected ~s at offset ~s, encountered ~s~n";
get_error_msg(335544391) -> "buffer in use~n";
get_error_msg(335544392) -> "internal error~n";
get_error_msg(335544393) -> "request in use~n";
get_error_msg(335544394) -> "incompatible version of on-disk structure~n";
get_error_msg(335544395) -> "table ~s is not defined~n";
get_error_msg(335544396) -> "column ~s is not defined in table ~s~n";
get_error_msg(335544397) -> "internal error~n";
get_error_msg(335544398) -> "internal error~n";
get_error_msg(335544399) -> "internal error~n";
get_error_msg(335544400) -> "internal error~n";
get_error_msg(335544401) -> "internal error~n";
get_error_msg(335544402) -> "internal error~n";
get_error_msg(335544403) -> "page ~s is of wrong type (expected ~s, found ~s)~n";
get_error_msg(335544404) -> "database corrupted~n";
get_error_msg(335544405) -> "checksum error on database page ~s~n";
get_error_msg(335544406) -> "index is broken~n";
get_error_msg(335544407) -> "database handle not zero~n";
get_error_msg(335544408) -> "transaction handle not zero~n";
get_error_msg(335544409) -> "transaction--request mismatch (synchronization error)~n";
get_error_msg(335544410) -> "bad handle count~n";
get_error_msg(335544411) -> "wrong version of transaction parameter block~n";
get_error_msg(335544412) -> "unsupported BLR version (expected ~s, encountered ~s)~n";
get_error_msg(335544413) -> "wrong version of database parameter block~n";
get_error_msg(335544414) -> "BLOB and array data types are not supported for ~s operation~n";
get_error_msg(335544415) -> "database corrupted~n";
get_error_msg(335544416) -> "internal error~n";
get_error_msg(335544417) -> "internal error~n";
get_error_msg(335544418) -> "transaction in limbo~n";
get_error_msg(335544419) -> "transaction not in limbo~n";
get_error_msg(335544420) -> "transaction outstanding~n";
get_error_msg(335544421) -> "connection rejected by remote interface~n";
get_error_msg(335544422) -> "internal error~n";
get_error_msg(335544423) -> "internal error~n";
get_error_msg(335544424) -> "no lock manager available~n";
get_error_msg(335544425) -> "context already in use (BLR error)~n";
get_error_msg(335544426) -> "context not defined (BLR error)~n";
get_error_msg(335544427) -> "data operation not supported~n";
get_error_msg(335544428) -> "undefined message number~n";
get_error_msg(335544429) -> "undefined parameter number~n";
get_error_msg(335544430) -> "unable to allocate memory from operating system~n";
get_error_msg(335544431) -> "blocking signal has been received~n";
get_error_msg(335544432) -> "lock manager error~n";
get_error_msg(335544433) -> "communication error with journal '~s'~n";
get_error_msg(335544434) -> "key size exceeds implementation restriction for index '~s'~n";
get_error_msg(335544435) -> "null segment of UNIQUE KEY~n";
get_error_msg(335544436) -> "SQL error code = ~s~n";
get_error_msg(335544437) -> "wrong DYN version~n";
get_error_msg(335544438) -> "function ~s is not defined~n";
get_error_msg(335544439) -> "function ~s could not be matched~n";
get_error_msg(335544440) -> "~n";
get_error_msg(335544441) -> "database detach completed with errors~n";
get_error_msg(335544442) -> "database system cannot read argument ~s~n";
get_error_msg(335544443) -> "database system cannot write argument ~s~n";
get_error_msg(335544444) -> "operation not supported~n";
get_error_msg(335544445) -> "~s extension error~n";
get_error_msg(335544446) -> "not updatable~n";
get_error_msg(335544447) -> "no rollback performed~n";
get_error_msg(335544448) -> "~n";
get_error_msg(335544449) -> "~n";
get_error_msg(335544450) -> "~s~n";
get_error_msg(335544451) -> "update conflicts with concurrent update~n";
get_error_msg(335544452) -> "product ~s is not licensed~n";
get_error_msg(335544453) -> "object ~s is in use~n";
get_error_msg(335544454) -> "filter not found to convert type ~s to type ~s~n";
get_error_msg(335544455) -> "cannot attach active shadow file~n";
get_error_msg(335544456) -> "invalid slice description language at offset ~s~n";
get_error_msg(335544457) -> "subscript out of bounds~n";
get_error_msg(335544458) -> "column not array or invalid dimensions (expected ~s, encountered ~s)~n";
get_error_msg(335544459) -> "record from transaction ~s is stuck in limbo~n";
get_error_msg(335544460) -> "a file in manual shadow ~s is unavailable~n";
get_error_msg(335544461) -> "secondary server attachments cannot validate databases~n";
get_error_msg(335544462) -> "secondary server attachments cannot start journaling~n";
get_error_msg(335544463) -> "generator ~s is not defined~n";
get_error_msg(335544464) -> "secondary server attachments cannot start logging~n";
get_error_msg(335544465) -> "invalid BLOB type for operation~n";
get_error_msg(335544466) -> "violation of FOREIGN KEY constraint '~s' on table '~s'~n";
get_error_msg(335544467) -> "minor version too high found ~s expected ~s~n";
get_error_msg(335544468) -> "transaction ~s is ~s~n";
get_error_msg(335544469) -> "transaction marked invalid and cannot be committed~n";
get_error_msg(335544470) -> "cache buffer for page ~s invalid~n";
get_error_msg(335544471) -> "there is no index in table ~s with id ~s~n";
get_error_msg(335544472) -> "Your user name and password are not defined. Ask your database administrator to set up a Firebird login.~n";
get_error_msg(335544473) -> "invalid bookmark handle~n";
get_error_msg(335544474) -> "invalid lock level ~s~n";
get_error_msg(335544475) -> "lock on table ~s conflicts with existing lock~n";
get_error_msg(335544476) -> "requested record lock conflicts with existing lock~n";
get_error_msg(335544477) -> "maximum indexes per table (~s) exceeded~n";
get_error_msg(335544478) -> "enable journal for database before starting online dump~n";
get_error_msg(335544479) -> "online dump failure. Retry dump~n";
get_error_msg(335544480) -> "an online dump is already in progress~n";
get_error_msg(335544481) -> "no more disk/tape space.  Cannot continue online dump~n";
get_error_msg(335544482) -> "journaling allowed only if database has Write-ahead Log~n";
get_error_msg(335544483) -> "maximum number of online dump files that can be specified is 16~n";
get_error_msg(335544484) -> "error in opening Write-ahead Log file during recovery~n";
get_error_msg(335544485) -> "invalid statement handle~n";
get_error_msg(335544486) -> "Write-ahead log subsystem failure~n";
get_error_msg(335544487) -> "WAL Writer error~n";
get_error_msg(335544488) -> "Log file header of ~s too small~n";
get_error_msg(335544489) -> "Invalid version of log file ~s~n";
get_error_msg(335544490) -> "Log file ~s not latest in the chain but open flag still set~n";
get_error_msg(335544491) -> "Log file ~s not closed properly; database recovery may be required~n";
get_error_msg(335544492) -> "Database name in the log file ~s is different~n";
get_error_msg(335544493) -> "Unexpected end of log file ~s at offset ~s~n";
get_error_msg(335544494) -> "Incomplete log record at offset ~s in log file ~s~n";
get_error_msg(335544495) -> "Log record header too small at offset ~s in log file ~s~n";
get_error_msg(335544496) -> "Log block too small at offset ~s in log file ~s~n";
get_error_msg(335544497) -> "Illegal attempt to attach to an uninitialized WAL segment for ~s~n";
get_error_msg(335544498) -> "Invalid WAL parameter block option ~s~n";
get_error_msg(335544499) -> "Cannot roll over to the next log file ~s~n";
get_error_msg(335544500) -> "database does not use Write-ahead Log~n";
get_error_msg(335544501) -> "cannot drop log file when journaling is enabled~n";
get_error_msg(335544502) -> "reference to invalid stream number~n";
get_error_msg(335544503) -> "WAL subsystem encountered error~n";
get_error_msg(335544504) -> "WAL subsystem corrupted~n";
get_error_msg(335544505) -> "must specify archive file when enabling long term journal for databases with round-robin log files~n";
get_error_msg(335544506) -> "database ~s shutdown in progress~n";
get_error_msg(335544507) -> "refresh range number ~s already in use~n";
get_error_msg(335544508) -> "refresh range number ~s not found~n";
get_error_msg(335544509) -> "CHARACTER SET ~s is not defined~n";
get_error_msg(335544510) -> "lock time-out on wait transaction~n";
get_error_msg(335544511) -> "procedure ~s is not defined~n";
get_error_msg(335544512) -> "Input parameter mismatch for procedure ~s~n";
get_error_msg(335544513) -> "Database ~s: WAL subsystem bug for pid ~s~s~n";
get_error_msg(335544514) -> "Could not expand the WAL segment for database ~s~n";
get_error_msg(335544515) -> "status code ~s unknown~n";
get_error_msg(335544516) -> "exception ~s not defined~n";
get_error_msg(335544517) -> "exception ~s~n";
get_error_msg(335544518) -> "restart shared cache manager~n";
get_error_msg(335544519) -> "invalid lock handle~n";
get_error_msg(335544520) -> "long-term journaling already enabled~n";
get_error_msg(335544521) -> "Unable to roll over please see Firebird log.~n";
get_error_msg(335544522) -> "WAL I/O error.  Please see Firebird log.~n";
get_error_msg(335544523) -> "WAL writer - Journal server communication error.  Please see Firebird log.~n";
get_error_msg(335544524) -> "WAL buffers cannot be increased.  Please see Firebird log.~n";
get_error_msg(335544525) -> "WAL setup error.  Please see Firebird log.~n";
get_error_msg(335544526) -> "obsolete~n";
get_error_msg(335544527) -> "Cannot start WAL writer for the database ~s~n";
get_error_msg(335544528) -> "database ~s shutdown~n";
get_error_msg(335544529) -> "cannot modify an existing user privilege~n";
get_error_msg(335544530) -> "Cannot delete PRIMARY KEY being used in FOREIGN KEY definition.~n";
get_error_msg(335544531) -> "Column used in a PRIMARY constraint must be NOT NULL.~n";
get_error_msg(335544532) -> "Name of Referential Constraint not defined in constraints table.~n";
get_error_msg(335544533) -> "Non-existent PRIMARY or UNIQUE KEY specified for FOREIGN KEY.~n";
get_error_msg(335544534) -> "Cannot update constraints (RDB$REF_CONSTRAINTS).~n";
get_error_msg(335544535) -> "Cannot update constraints (RDB$CHECK_CONSTRAINTS).~n";
get_error_msg(335544536) -> "Cannot delete CHECK constraint entry (RDB$CHECK_CONSTRAINTS)~n";
get_error_msg(335544537) -> "Cannot delete index segment used by an Integrity Constraint~n";
get_error_msg(335544538) -> "Cannot update index segment used by an Integrity Constraint~n";
get_error_msg(335544539) -> "Cannot delete index used by an Integrity Constraint~n";
get_error_msg(335544540) -> "Cannot modify index used by an Integrity Constraint~n";
get_error_msg(335544541) -> "Cannot delete trigger used by a CHECK Constraint~n";
get_error_msg(335544542) -> "Cannot update trigger used by a CHECK Constraint~n";
get_error_msg(335544543) -> "Cannot delete column being used in an Integrity Constraint.~n";
get_error_msg(335544544) -> "Cannot rename column being used in an Integrity Constraint.~n";
get_error_msg(335544545) -> "Cannot update constraints (RDB$RELATION_CONSTRAINTS).~n";
get_error_msg(335544546) -> "Cannot define constraints on views~n";
get_error_msg(335544547) -> "internal Firebird consistency check (invalid RDB$CONSTRAINT_TYPE)~n";
get_error_msg(335544548) -> "Attempt to define a second PRIMARY KEY for the same table~n";
get_error_msg(335544549) -> "cannot modify or erase a system trigger~n";
get_error_msg(335544550) -> "only the owner of a table may reassign ownership~n";
get_error_msg(335544551) -> "could not find object for GRANT~n";
get_error_msg(335544552) -> "could not find column for GRANT~n";
get_error_msg(335544553) -> "user does not have GRANT privileges for operation~n";
get_error_msg(335544554) -> "object has non-SQL security class defined~n";
get_error_msg(335544555) -> "column has non-SQL security class defined~n";
get_error_msg(335544556) -> "Write-ahead Log without shared cache configuration not allowed~n";
get_error_msg(335544557) -> "database shutdown unsuccessful~n";
get_error_msg(335544558) -> "Operation violates CHECK constraint ~s on view or table ~s~n";
get_error_msg(335544559) -> "invalid service handle~n";
get_error_msg(335544560) -> "database ~s shutdown in ~s seconds~n";
get_error_msg(335544561) -> "wrong version of service parameter block~n";
get_error_msg(335544562) -> "unrecognized service parameter block~n";
get_error_msg(335544563) -> "service ~s is not defined~n";
get_error_msg(335544564) -> "long-term journaling not enabled~n";
get_error_msg(335544565) -> "Cannot transliterate character between character sets~n";
get_error_msg(335544566) -> "WAL defined; Cache Manager must be started first~n";
get_error_msg(335544567) -> "Overflow log specification required for round-robin log~n";
get_error_msg(335544568) -> "Implementation of text subtype ~s not located.~n";
get_error_msg(335544569) -> "Dynamic SQL Error~n";
get_error_msg(335544570) -> "Invalid command~n";
get_error_msg(335544571) -> "Data type for constant unknown~n";
get_error_msg(335544572) -> "Invalid cursor reference~n";
get_error_msg(335544573) -> "Data type unknown~n";
get_error_msg(335544574) -> "Invalid cursor declaration~n";
get_error_msg(335544575) -> "Cursor ~s is not updatable~n";
get_error_msg(335544576) -> "Attempt to reopen an open cursor~n";
get_error_msg(335544577) -> "Attempt to reclose a closed cursor~n";
get_error_msg(335544578) -> "Column unknown~n";
get_error_msg(335544579) -> "Internal error~n";
get_error_msg(335544580) -> "Table unknown~n";
get_error_msg(335544581) -> "Procedure unknown~n";
get_error_msg(335544582) -> "Request unknown~n";
get_error_msg(335544583) -> "SQLDA missing or incorrect version, or incorrect number/type of variables~n";
get_error_msg(335544584) -> "Count of read-write columns does not equal count of values~n";
get_error_msg(335544585) -> "Invalid statement handle~n";
get_error_msg(335544586) -> "Function unknown~n";
get_error_msg(335544587) -> "Column is not a BLOB~n";
get_error_msg(335544588) -> "COLLATION ~s for CHARACTER SET ~s is not defined~n";
get_error_msg(335544589) -> "COLLATION ~s is not valid for specified CHARACTER SET~n";
get_error_msg(335544590) -> "Option specified more than once~n";
get_error_msg(335544591) -> "Unknown transaction option~n";
get_error_msg(335544592) -> "Invalid array reference~n";
get_error_msg(335544593) -> "Array declared with too many dimensions~n";
get_error_msg(335544594) -> "Illegal array dimension range~n";
get_error_msg(335544595) -> "Trigger unknown~n";
get_error_msg(335544596) -> "Subselect illegal in this context~n";
get_error_msg(335544597) -> "Cannot prepare a CREATE DATABASE/SCHEMA statement~n";
get_error_msg(335544598) -> "must specify column name for view select expression~n";
get_error_msg(335544599) -> "number of columns does not match select list~n";
get_error_msg(335544600) -> "Only simple column names permitted for VIEW WITH CHECK OPTION~n";
get_error_msg(335544601) -> "No WHERE clause for VIEW WITH CHECK OPTION~n";
get_error_msg(335544602) -> "Only one table allowed for VIEW WITH CHECK OPTION~n";
get_error_msg(335544603) -> "DISTINCT, GROUP or HAVING not permitted for VIEW WITH CHECK OPTION~n";
get_error_msg(335544604) -> "FOREIGN KEY column count does not match PRIMARY KEY~n";
get_error_msg(335544605) -> "No subqueries permitted for VIEW WITH CHECK OPTION~n";
get_error_msg(335544606) -> "expression evaluation not supported~n";
get_error_msg(335544607) -> "gen.c: node not supported~n";
get_error_msg(335544608) -> "Unexpected end of command~n";
get_error_msg(335544609) -> "INDEX ~s~n";
get_error_msg(335544610) -> "EXCEPTION ~s~n";
get_error_msg(335544611) -> "COLUMN ~s~n";
get_error_msg(335544612) -> "Token unknown~n";
get_error_msg(335544613) -> "union not supported~n";
get_error_msg(335544614) -> "Unsupported DSQL construct~n";
get_error_msg(335544615) -> "column used with aggregate~n";
get_error_msg(335544616) -> "invalid column reference~n";
get_error_msg(335544617) -> "invalid ORDER BY clause~n";
get_error_msg(335544618) -> "Return mode by value not allowed for this data type~n";
get_error_msg(335544619) -> "External functions cannot have more than 10 parameters~n";
get_error_msg(335544620) -> "alias ~s conflicts with an alias in the same statement~n";
get_error_msg(335544621) -> "alias ~s conflicts with a procedure in the same statement~n";
get_error_msg(335544622) -> "alias ~s conflicts with a table in the same statement~n";
get_error_msg(335544623) -> "Illegal use of keyword VALUE~n";
get_error_msg(335544624) -> "segment count of 0 defined for index ~s~n";
get_error_msg(335544625) -> "A node name is not permitted in a secondary, shadow, cache or log file name~n";
get_error_msg(335544626) -> "TABLE ~s~n";
get_error_msg(335544627) -> "PROCEDURE ~s~n";
get_error_msg(335544628) -> "cannot create index ~s~n";
get_error_msg(335544629) -> "Write-ahead Log with shadowing configuration not allowed~n";
get_error_msg(335544630) -> "there are ~s dependencies~n";
get_error_msg(335544631) -> "too many keys defined for index ~s~n";
get_error_msg(335544632) -> "Preceding file did not specify length, so ~s must include starting page number~n";
get_error_msg(335544633) -> "Shadow number must be a positive integer~n";
get_error_msg(335544634) -> "Token unknown - line ~s, column ~s~n";
get_error_msg(335544635) -> "there is no alias or table named ~s at this scope level~n";
get_error_msg(335544636) -> "there is no index ~s for table ~s~n";
get_error_msg(335544637) -> "table ~s is not referenced in plan~n";
get_error_msg(335544638) -> "table ~s is referenced more than once in plan; use aliases to distinguish~n";
get_error_msg(335544639) -> "table ~s is referenced in the plan but not the from list~n";
get_error_msg(335544640) -> "Invalid use of CHARACTER SET or COLLATE~n";
get_error_msg(335544641) -> "Specified domain or source column ~s does not exist~n";
get_error_msg(335544642) -> "index ~s cannot be used in the specified plan~n";
get_error_msg(335544643) -> "the table ~s is referenced twice; use aliases to differentiate~n";
get_error_msg(335544644) -> "attempt to fetch before the first record in a record stream~n";
get_error_msg(335544645) -> "the current position is on a crack~n";
get_error_msg(335544646) -> "database or file exists~n";
get_error_msg(335544647) -> "invalid comparison operator for find operation~n";
get_error_msg(335544648) -> "Connection lost to pipe server~n";
get_error_msg(335544649) -> "bad checksum~n";
get_error_msg(335544650) -> "wrong page type~n";
get_error_msg(335544651) -> "Cannot insert because the file is readonly or is on a read only medium.~n";
get_error_msg(335544652) -> "multiple rows in singleton select~n";
get_error_msg(335544653) -> "cannot attach to password database~n";
get_error_msg(335544654) -> "cannot start transaction for password database~n";
get_error_msg(335544655) -> "invalid direction for find operation~n";
get_error_msg(335544656) -> "variable ~s conflicts with parameter in same procedure~n";
get_error_msg(335544657) -> "Array/BLOB/DATE data types not allowed in arithmetic~n";
get_error_msg(335544658) -> "~s is not a valid base table of the specified view~n";
get_error_msg(335544659) -> "table ~s is referenced twice in view; use an alias to distinguish~n";
get_error_msg(335544660) -> "view ~s has more than one base table; use aliases to distinguish~n";
get_error_msg(335544661) -> "cannot add index, index root page is full.~n";
get_error_msg(335544662) -> "BLOB SUB_TYPE ~s is not defined~n";
get_error_msg(335544663) -> "Too many concurrent executions of the same request~n";
get_error_msg(335544664) -> "duplicate specification of ~s - not supported~n";
get_error_msg(335544665) -> "violation of PRIMARY or UNIQUE KEY constraint '~s' on table '~s'~n";
get_error_msg(335544666) -> "server version too old to support all CREATE DATABASE options~n";
get_error_msg(335544667) -> "drop database completed with errors~n";
get_error_msg(335544668) -> "procedure ~s does not return any values~n";
get_error_msg(335544669) -> "count of column list and variable list do not match~n";
get_error_msg(335544670) -> "attempt to index BLOB column in index ~s~n";
get_error_msg(335544671) -> "attempt to index array column in index ~s~n";
get_error_msg(335544672) -> "too few key columns found for index ~s (incorrect column name?)~n";
get_error_msg(335544673) -> "cannot delete~n";
get_error_msg(335544674) -> "last column in a table cannot be deleted~n";
get_error_msg(335544675) -> "sort error~n";
get_error_msg(335544676) -> "sort error: not enough memory~n";
get_error_msg(335544677) -> "too many versions~n";
get_error_msg(335544678) -> "invalid key position~n";
get_error_msg(335544679) -> "segments not allowed in expression index ~s~n";
get_error_msg(335544680) -> "sort error: corruption in data structure~n";
get_error_msg(335544681) -> "new record size of ~s bytes is too big~n";
get_error_msg(335544682) -> "Inappropriate self-reference of column~n";
get_error_msg(335544683) -> "request depth exceeded. (Recursive definition?)~n";
get_error_msg(335544684) -> "cannot access column ~s in view ~s~n";
get_error_msg(335544685) -> "dbkey not available for multi-table views~n";
get_error_msg(335544686) -> "journal file wrong format~n";
get_error_msg(335544687) -> "intermediate journal file full~n";
get_error_msg(335544688) -> "The prepare statement identifies a prepare statement with an open cursor~n";
get_error_msg(335544689) -> "Firebird error~n";
get_error_msg(335544690) -> "Cache redefined~n";
get_error_msg(335544691) -> "Insufficient memory to allocate page buffer cache~n";
get_error_msg(335544692) -> "Log redefined~n";
get_error_msg(335544693) -> "Log size too small~n";
get_error_msg(335544694) -> "Log partition size too small~n";
get_error_msg(335544695) -> "Partitions not supported in series of log file specification~n";
get_error_msg(335544696) -> "Total length of a partitioned log must be specified~n";
get_error_msg(335544697) -> "Precision must be from 1 to 18~n";
get_error_msg(335544698) -> "Scale must be between zero and precision~n";
get_error_msg(335544699) -> "Short integer expected~n";
get_error_msg(335544700) -> "Long integer expected~n";
get_error_msg(335544701) -> "Unsigned short integer expected~n";
get_error_msg(335544702) -> "Invalid ESCAPE sequence~n";
get_error_msg(335544703) -> "service ~s does not have an associated executable~n";
get_error_msg(335544704) -> "Failed to locate host machine.~n";
get_error_msg(335544705) -> "Undefined service ~s/~s.~n";
get_error_msg(335544706) -> "The specified name was not found in the hosts file or Domain Name Services.~n";
get_error_msg(335544707) -> "user does not have GRANT privileges on base table/view for operation~n";
get_error_msg(335544708) -> "Ambiguous column reference.~n";
get_error_msg(335544709) -> "Invalid aggregate reference~n";
get_error_msg(335544710) -> "navigational stream ~s references a view with more than one base table~n";
get_error_msg(335544711) -> "Attempt to execute an unprepared dynamic SQL statement.~n";
get_error_msg(335544712) -> "Positive value expected~n";
get_error_msg(335544713) -> "Incorrect values within SQLDA structure~n";
get_error_msg(335544714) -> "invalid blob id~n";
get_error_msg(335544715) -> "Operation not supported for EXTERNAL FILE table ~s~n";
get_error_msg(335544716) -> "Service is currently busy: ~s~n";
get_error_msg(335544717) -> "stack size insufficent to execute current request~n";
get_error_msg(335544718) -> "Invalid key for find operation~n";
get_error_msg(335544719) -> "Error initializing the network software.~n";
get_error_msg(335544720) -> "Unable to load required library ~s.~n";
get_error_msg(335544721) -> "Unable to complete network request to host '~s'.~n";
get_error_msg(335544722) -> "Failed to establish a connection.~n";
get_error_msg(335544723) -> "Error while listening for an incoming connection.~n";
get_error_msg(335544724) -> "Failed to establish a secondary connection for event processing.~n";
get_error_msg(335544725) -> "Error while listening for an incoming event connection request.~n";
get_error_msg(335544726) -> "Error reading data from the connection.~n";
get_error_msg(335544727) -> "Error writing data to the connection.~n";
get_error_msg(335544728) -> "Cannot deactivate index used by an integrity constraint~n";
get_error_msg(335544729) -> "Cannot deactivate index used by a PRIMARY/UNIQUE constraint~n";
get_error_msg(335544730) -> "Client/Server Express not supported in this release~n";
get_error_msg(335544731) -> "~n";
get_error_msg(335544732) -> "Access to databases on file servers is not supported.~n";
get_error_msg(335544733) -> "Error while trying to create file~n";
get_error_msg(335544734) -> "Error while trying to open file~n";
get_error_msg(335544735) -> "Error while trying to close file~n";
get_error_msg(335544736) -> "Error while trying to read from file~n";
get_error_msg(335544737) -> "Error while trying to write to file~n";
get_error_msg(335544738) -> "Error while trying to delete file~n";
get_error_msg(335544739) -> "Error while trying to access file~n";
get_error_msg(335544740) -> "A fatal exception occurred during the execution of a user defined function.~n";
get_error_msg(335544741) -> "connection lost to database~n";
get_error_msg(335544742) -> "User cannot write to RDB$USER_PRIVILEGES~n";
get_error_msg(335544743) -> "token size exceeds limit~n";
get_error_msg(335544744) -> "Maximum user count exceeded.  Contact your database administrator.~n";
get_error_msg(335544745) -> "Your login ~s is same as one of the SQL role name. Ask your database administrator to set up a valid Firebird login.~n";
get_error_msg(335544746) -> "'REFERENCES table' without '(column)' requires PRIMARY KEY on referenced table~n";
get_error_msg(335544747) -> "The username entered is too long.  Maximum length is 31 bytes.~n";
get_error_msg(335544748) -> "The password specified is too long.  Maximum length is 8 bytes.~n";
get_error_msg(335544749) -> "A username is required for this operation.~n";
get_error_msg(335544750) -> "A password is required for this operation~n";
get_error_msg(335544751) -> "The network protocol specified is invalid~n";
get_error_msg(335544752) -> "A duplicate user name was found in the security database~n";
get_error_msg(335544753) -> "The user name specified was not found in the security database~n";
get_error_msg(335544754) -> "An error occurred while attempting to add the user.~n";
get_error_msg(335544755) -> "An error occurred while attempting to modify the user record.~n";
get_error_msg(335544756) -> "An error occurred while attempting to delete the user record.~n";
get_error_msg(335544757) -> "An error occurred while updating the security database.~n";
get_error_msg(335544758) -> "sort record size of ~s bytes is too big~n";
get_error_msg(335544759) -> "can not define a not null column with NULL as default value~n";
get_error_msg(335544760) -> "invalid clause --- '~s'~n";
get_error_msg(335544761) -> "too many open handles to database~n";
get_error_msg(335544762) -> "size of optimizer block exceeded~n";
get_error_msg(335544763) -> "a string constant is delimited by double quotes~n";
get_error_msg(335544764) -> "DATE must be changed to TIMESTAMP~n";
get_error_msg(335544765) -> "attempted update on read-only database~n";
get_error_msg(335544766) -> "SQL dialect ~s is not supported in this database~n";
get_error_msg(335544767) -> "A fatal exception occurred during the execution of a blob filter.~n";
get_error_msg(335544768) -> "Access violation.  The code attempted to access a virtual address without privilege to do so.~n";
get_error_msg(335544769) -> "Datatype misalignment.  The attempted to read or write a value that was not stored on a memory boundary.~n";
get_error_msg(335544770) -> "Array bounds exceeded.  The code attempted to access an array element that is out of bounds.~n";
get_error_msg(335544771) -> "Float denormal operand.  One of the floating-point operands is too small to represent a standard float value.~n";
get_error_msg(335544772) -> "Floating-point divide by zero.  The code attempted to divide a floating-point value by zero.~n";
get_error_msg(335544773) -> "Floating-point inexact result.  The result of a floating-point operation cannot be represented as a deciaml fraction.~n";
get_error_msg(335544774) -> "Floating-point invalid operand.  An indeterminant error occurred during a floating-point operation.~n";
get_error_msg(335544775) -> "Floating-point overflow.  The exponent of a floating-point operation is greater than the magnitude allowed.~n";
get_error_msg(335544776) -> "Floating-point stack check.  The stack overflowed or underflowed as the result of a floating-point operation.~n";
get_error_msg(335544777) -> "Floating-point underflow.  The exponent of a floating-point operation is less than the magnitude allowed.~n";
get_error_msg(335544778) -> "Integer divide by zero.  The code attempted to divide an integer value by an integer divisor of zero.~n";
get_error_msg(335544779) -> "Integer overflow.  The result of an integer operation caused the most significant bit of the result to carry.~n";
get_error_msg(335544780) -> "An exception occurred that does not have a description.  Exception number ~s.~n";
get_error_msg(335544781) -> "Stack overflow.  The resource requirements of the runtime stack have exceeded the memory available to it.~n";
get_error_msg(335544782) -> "Segmentation Fault. The code attempted to access memory without privileges.~n";
get_error_msg(335544783) -> "Illegal Instruction. The Code attempted to perfrom an illegal operation.~n";
get_error_msg(335544784) -> "Bus Error. The Code caused a system bus error.~n";
get_error_msg(335544785) -> "Floating Point Error. The Code caused an Arithmetic Exception or a floating point exception.~n";
get_error_msg(335544786) -> "Cannot delete rows from external files.~n";
get_error_msg(335544787) -> "Cannot update rows in external files.~n";
get_error_msg(335544788) -> "Unable to perform operation.  You must be either SYSDBA or owner of the database~n";
get_error_msg(335544789) -> "Specified EXTRACT part does not exist in input datatype~n";
get_error_msg(335544790) -> "Service ~s requires SYSDBA permissions.  Reattach to the Service Manager using the SYSDBA account.~n";
get_error_msg(335544791) -> "The file ~s is currently in use by another process.  Try again later.~n";
get_error_msg(335544792) -> "Cannot attach to services manager~n";
get_error_msg(335544793) -> "Metadata update statement is not allowed by the current database SQL dialect ~s~n";
get_error_msg(335544794) -> "operation was cancelled~n";
get_error_msg(335544795) -> "unexpected item in service parameter block, expected ~s~n";
get_error_msg(335544796) -> "Client SQL dialect ~s does not support reference to ~s datatype~n";
get_error_msg(335544797) -> "user name and password are required while attaching to the services manager~n";
get_error_msg(335544798) -> "You created an indirect dependency on uncommitted metadata. You must roll back the current transaction.~n";
get_error_msg(335544799) -> "The service name was not specified.~n";
get_error_msg(335544800) -> "Too many Contexts of Relation/Procedure/Views. Maximum allowed is 256~n";
get_error_msg(335544801) -> "data type not supported for arithmetic~n";
get_error_msg(335544802) -> "Database dialect being changed from 3 to 1~n";
get_error_msg(335544803) -> "Database dialect not changed.~n";
get_error_msg(335544804) -> "Unable to create database ~s~n";
get_error_msg(335544805) -> "Database dialect ~s is not a valid dialect.~n";
get_error_msg(335544806) -> "Valid database dialects are ~s.~n";
get_error_msg(335544807) -> "SQL warning code = ~s~n";
get_error_msg(335544808) -> "DATE data type is now called TIMESTAMP~n";
get_error_msg(335544809) -> "Function ~s is in ~s, which is not in a permitted directory for external functions.~n";
get_error_msg(335544810) -> "value exceeds the range for valid dates~n";
get_error_msg(335544811) -> "passed client dialect ~s is not a valid dialect.~n";
get_error_msg(335544812) -> "Valid client dialects are ~s.~n";
get_error_msg(335544813) -> "Unsupported field type specified in BETWEEN predicate.~n";
get_error_msg(335544814) -> "Services functionality will be supported in a later version  of the product~n";
get_error_msg(335544815) -> "GENERATOR ~s~n";
get_error_msg(335544816) -> "UDF ~s~n";
get_error_msg(335544817) -> "Invalid parameter to FETCH or FIRST. Only integers >= 0 are allowed.~n";
get_error_msg(335544818) -> "Invalid parameter to OFFSET or SKIP. Only integers >= 0 are allowed.~n";
get_error_msg(335544819) -> "File exceeded maximum size of 2GB.  Add another database file or use a 64 bit I/O version of Firebird.~n";
get_error_msg(335544820) -> "Unable to find savepoint with name ~s in transaction context~n";
get_error_msg(335544821) -> "Invalid column position used in the ~s clause~n";
get_error_msg(335544822) -> "Cannot use an aggregate or window function in a WHERE clause, use HAVING (for aggregate only) instead~n";
get_error_msg(335544823) -> "Cannot use an aggregate or window function in a GROUP BY clause~n";
get_error_msg(335544824) -> "Invalid expression in the ~s (not contained in either an aggregate function or the GROUP BY clause)~n";
get_error_msg(335544825) -> "Invalid expression in the ~s (neither an aggregate function nor a part of the GROUP BY clause)~n";
get_error_msg(335544826) -> "Nested aggregate and window functions are not allowed~n";
get_error_msg(335544827) -> "Invalid argument in EXECUTE STATEMENT - cannot convert to string~n";
get_error_msg(335544828) -> "Wrong request type in EXECUTE STATEMENT '~s'~n";
get_error_msg(335544829) -> "Variable type (position ~s) in EXECUTE STATEMENT '~s' INTO does not match returned column type~n";
get_error_msg(335544830) -> "Too many recursion levels of EXECUTE STATEMENT~n";
get_error_msg(335544831) -> "Use of ~s at location ~s is not allowed by server configuration~n";
get_error_msg(335544832) -> "Cannot change difference file name while database is in backup mode~n";
get_error_msg(335544833) -> "Physical backup is not allowed while Write-Ahead Log is in use~n";
get_error_msg(335544834) -> "Cursor is not open~n";
get_error_msg(335544835) -> "Target shutdown mode is invalid for database '~s'~n";
get_error_msg(335544836) -> "Concatenation overflow. Resulting string cannot exceed 32765 bytes in length.~n";
get_error_msg(335544837) -> "Invalid offset parameter ~s to SUBSTRING. Only positive integers are allowed.~n";
get_error_msg(335544838) -> "Foreign key reference target does not exist~n";
get_error_msg(335544839) -> "Foreign key references are present for the record~n";
get_error_msg(335544840) -> "cannot update~n";
get_error_msg(335544841) -> "Cursor is already open~n";
get_error_msg(335544842) -> "~s~n";
get_error_msg(335544843) -> "Context variable ~s is not found in namespace ~s~n";
get_error_msg(335544844) -> "Invalid namespace name ~s passed to ~s~n";
get_error_msg(335544845) -> "Too many context variables~n";
get_error_msg(335544846) -> "Invalid argument passed to ~s~n";
get_error_msg(335544847) -> "BLR syntax error. Identifier ~s... is too long~n";
get_error_msg(335544848) -> "exception ~s~n";
get_error_msg(335544849) -> "Malformed string~n";
get_error_msg(335544850) -> "Output parameter mismatch for procedure ~s~n";
get_error_msg(335544851) -> "Unexpected end of command - line ~s, column ~s~n";
get_error_msg(335544852) -> "partner index segment no ~s has incompatible data type~n";
get_error_msg(335544853) -> "Invalid length parameter ~s to SUBSTRING. Negative integers are not allowed.~n";
get_error_msg(335544854) -> "CHARACTER SET ~s is not installed~n";
get_error_msg(335544855) -> "COLLATION ~s for CHARACTER SET ~s is not installed~n";
get_error_msg(335544856) -> "connection shutdown~n";
get_error_msg(335544857) -> "Maximum BLOB size exceeded~n";
get_error_msg(335544858) -> "Can't have relation with only computed fields or constraints~n";
get_error_msg(335544859) -> "Time precision exceeds allowed range (0-~s)~n";
get_error_msg(335544860) -> "Unsupported conversion to target type BLOB (subtype ~s)~n";
get_error_msg(335544861) -> "Unsupported conversion to target type ARRAY~n";
get_error_msg(335544862) -> "Stream does not support record locking~n";
get_error_msg(335544863) -> "Cannot create foreign key constraint ~s. Partner index does not exist or is inactive.~n";
get_error_msg(335544864) -> "Transactions count exceeded. Perform backup and restore to make database operable again~n";
get_error_msg(335544865) -> "Column has been unexpectedly deleted~n";
get_error_msg(335544866) -> "~s cannot depend on ~s~n";
get_error_msg(335544867) -> "Blob sub_types bigger than 1 (text) are for internal use only~n";
get_error_msg(335544868) -> "Procedure ~s is not selectable (it does not contain a SUSPEND statement)~n";
get_error_msg(335544869) -> "Datatype ~s is not supported for sorting operation~n";
get_error_msg(335544870) -> "COLLATION ~s~n";
get_error_msg(335544871) -> "DOMAIN ~s~n";
get_error_msg(335544872) -> "domain ~s is not defined~n";
get_error_msg(335544873) -> "Array data type can use up to ~s dimensions~n";
get_error_msg(335544874) -> "A multi database transaction cannot span more than ~s databases~n";
get_error_msg(335544875) -> "Bad debug info format~n";
get_error_msg(335544876) -> "Error while parsing procedure ~s's BLR~n";
get_error_msg(335544877) -> "index key too big~n";
get_error_msg(335544878) -> "concurrent transaction number is ~s~n";
get_error_msg(335544879) -> "validation error for variable ~s, value '~s'~n";
get_error_msg(335544880) -> "validation error for ~s, value '~s'~n";
get_error_msg(335544881) -> "Difference file name should be set explicitly for database on raw device~n";
get_error_msg(335544882) -> "Login name too long (~s characters, maximum allowed ~s)~n";
get_error_msg(335544883) -> "column ~s is not defined in procedure ~s~n";
get_error_msg(335544884) -> "Invalid SIMILAR TO pattern~n";
get_error_msg(335544885) -> "Invalid TEB format~n";
get_error_msg(335544886) -> "Found more than one transaction isolation in TPB~n";
get_error_msg(335544887) -> "Table reservation lock type ~s requires table name before in TPB~n";
get_error_msg(335544888) -> "Found more than one ~s specification in TPB~n";
get_error_msg(335544889) -> "Option ~s requires READ COMMITTED isolation in TPB~n";
get_error_msg(335544890) -> "Option ~s is not valid if ~s was used previously in TPB~n";
get_error_msg(335544891) -> "Table name length missing after table reservation ~s in TPB~n";
get_error_msg(335544892) -> "Table name length ~s is too long after table reservation ~s in TPB~n";
get_error_msg(335544893) -> "Table name length ~s without table name after table reservation ~s in TPB~n";
get_error_msg(335544894) -> "Table name length ~s goes beyond the remaining TPB size after table reservation ~s~n";
get_error_msg(335544895) -> "Table name length is zero after table reservation ~s in TPB~n";
get_error_msg(335544896) -> "Table or view ~s not defined in system tables after table reservation ~s in TPB~n";
get_error_msg(335544897) -> "Base table or view ~s for view ~s not defined in system tables after table reservation ~s in TPB~n";
get_error_msg(335544898) -> "Option length missing after option ~s in TPB~n";
get_error_msg(335544899) -> "Option length ~s without value after option ~s in TPB~n";
get_error_msg(335544900) -> "Option length ~s goes beyond the remaining TPB size after option ~s~n";
get_error_msg(335544901) -> "Option length is zero after table reservation ~s in TPB~n";
get_error_msg(335544902) -> "Option length ~s exceeds the range for option ~s in TPB~n";
get_error_msg(335544903) -> "Option value ~s is invalid for the option ~s in TPB~n";
get_error_msg(335544904) -> "Preserving previous table reservation ~s for table ~s, stronger than new ~s in TPB~n";
get_error_msg(335544905) -> "Table reservation ~s for table ~s already specified and is stronger than new ~s in TPB~n";
get_error_msg(335544906) -> "Table reservation reached maximum recursion of ~s when expanding views in TPB~n";
get_error_msg(335544907) -> "Table reservation in TPB cannot be applied to ~s because it's a virtual table~n";
get_error_msg(335544908) -> "Table reservation in TPB cannot be applied to ~s because it's a system table~n";
get_error_msg(335544909) -> "Table reservation ~s or ~s in TPB cannot be applied to ~s because it's a temporary table~n";
get_error_msg(335544910) -> "Cannot set the transaction in read only mode after a table reservation isc_tpb_lock_write in TPB~n";
get_error_msg(335544911) -> "Cannot take a table reservation isc_tpb_lock_write in TPB because the transaction is in read only mode~n";
get_error_msg(335544912) -> "value exceeds the range for a valid time~n";
get_error_msg(335544913) -> "value exceeds the range for valid timestamps~n";
get_error_msg(335544914) -> "string right truncation~n";
get_error_msg(335544915) -> "blob truncation when converting to a string: length limit exceeded~n";
get_error_msg(335544916) -> "numeric value is out of range~n";
get_error_msg(335544917) -> "Firebird shutdown is still in progress after the specified timeout~n";
get_error_msg(335544918) -> "Attachment handle is busy~n";
get_error_msg(335544919) -> "Bad written UDF detected: pointer returned in FREE_IT function was not allocated by ib_util_malloc~n";
get_error_msg(335544920) -> "External Data Source provider '~s' not found~n";
get_error_msg(335544921) -> "Execute statement error at ~s :~sData source : ~s~n";
get_error_msg(335544922) -> "Execute statement preprocess SQL error~n";
get_error_msg(335544923) -> "Statement expected~n";
get_error_msg(335544924) -> "Parameter name expected~n";
get_error_msg(335544925) -> "Unclosed comment found near '~s'~n";
get_error_msg(335544926) -> "Execute statement error at ~s :~sStatement : ~sData source : ~s~n";
get_error_msg(335544927) -> "Input parameters mismatch~n";
get_error_msg(335544928) -> "Output parameters mismatch~n";
get_error_msg(335544929) -> "Input parameter '~s' have no value set~n";
get_error_msg(335544930) -> "BLR stream length ~s exceeds implementation limit ~s~n";
get_error_msg(335544931) -> "Monitoring table space exhausted~n";
get_error_msg(335544932) -> "module name or entrypoint could not be found~n";
get_error_msg(335544933) -> "nothing to cancel~n";
get_error_msg(335544934) -> "ib_util library has not been loaded to deallocate memory returned by FREE_IT function~n";
get_error_msg(335544935) -> "Cannot have circular dependencies with computed fields~n";
get_error_msg(335544936) -> "Security database error~n";
get_error_msg(335544937) -> "Invalid data type in DATE/TIME/TIMESTAMP addition or subtraction in add_datettime()~n";
get_error_msg(335544938) -> "Only a TIME value can be added to a DATE value~n";
get_error_msg(335544939) -> "Only a DATE value can be added to a TIME value~n";
get_error_msg(335544940) -> "TIMESTAMP values can be subtracted only from another TIMESTAMP value~n";
get_error_msg(335544941) -> "Only one operand can be of type TIMESTAMP~n";
get_error_msg(335544942) -> "Only HOUR, MINUTE, SECOND and MILLISECOND can be extracted from TIME values~n";
get_error_msg(335544943) -> "HOUR, MINUTE, SECOND and MILLISECOND cannot be extracted from DATE values~n";
get_error_msg(335544944) -> "Invalid argument for EXTRACT() not being of DATE/TIME/TIMESTAMP type~n";
get_error_msg(335544945) -> "Arguments for ~s must be integral types or NUMERIC/DECIMAL without scale~n";
get_error_msg(335544946) -> "First argument for ~s must be integral type or floating point type~n";
get_error_msg(335544947) -> "Human readable UUID argument for ~s must be of string type~n";
get_error_msg(335544948) -> "Human readable UUID argument for ~s must be of exact length ~s~n";
get_error_msg(335544949) -> "Human readable UUID argument for ~s must have '-' at position ~s instead of '~s'~n";
get_error_msg(335544950) -> "Human readable UUID argument for ~s must have hex digit at position ~s instead of '~s'~n";
get_error_msg(335544951) -> "Only HOUR, MINUTE, SECOND and MILLISECOND can be added to TIME values in ~s~n";
get_error_msg(335544952) -> "Invalid data type in addition of part to DATE/TIME/TIMESTAMP in ~s~n";
get_error_msg(335544953) -> "Invalid part ~s to be added to a DATE/TIME/TIMESTAMP value in ~s~n";
get_error_msg(335544954) -> "Expected DATE/TIME/TIMESTAMP type in evlDateAdd() result~n";
get_error_msg(335544955) -> "Expected DATE/TIME/TIMESTAMP type as first and second argument to ~s~n";
get_error_msg(335544956) -> "The result of TIME-<value> in ~s cannot be expressed in YEAR, MONTH, DAY or WEEK~n";
get_error_msg(335544957) -> "The result of TIME-TIMESTAMP or TIMESTAMP-TIME in ~s cannot be expressed in HOUR, MINUTE, SECOND or MILLISECOND~n";
get_error_msg(335544958) -> "The result of DATE-TIME or TIME-DATE in ~s cannot be expressed in HOUR, MINUTE, SECOND and MILLISECOND~n";
get_error_msg(335544959) -> "Invalid part ~s to express the difference between two DATE/TIME/TIMESTAMP values in ~s~n";
get_error_msg(335544960) -> "Argument for ~s must be positive~n";
get_error_msg(335544961) -> "Base for ~s must be positive~n";
get_error_msg(335544962) -> "Argument #~s for ~s must be zero or positive~n";
get_error_msg(335544963) -> "Argument #~s for ~s must be positive~n";
get_error_msg(335544964) -> "Base for ~s cannot be zero if exponent is negative~n";
get_error_msg(335544965) -> "Base for ~s cannot be negative if exponent is not an integral value~n";
get_error_msg(335544966) -> "The numeric scale must be between -128 and 127 in ~s~n";
get_error_msg(335544967) -> "Argument for ~s must be zero or positive~n";
get_error_msg(335544968) -> "Binary UUID argument for ~s must be of string type~n";
get_error_msg(335544969) -> "Binary UUID argument for ~s must use ~s bytes~n";
get_error_msg(335544970) -> "Missing required item ~s in service parameter block~n";
get_error_msg(335544971) -> "~s server is shutdown~n";
get_error_msg(335544972) -> "Invalid connection string~n";
get_error_msg(335544973) -> "Unrecognized events block~n";
get_error_msg(335544974) -> "Could not start first worker thread - shutdown server~n";
get_error_msg(335544975) -> "Timeout occurred while waiting for a secondary connection for event processing~n";
get_error_msg(335544976) -> "Argument for ~s must be different than zero~n";
get_error_msg(335544977) -> "Argument for ~s must be in the range [-1, 1]~n";
get_error_msg(335544978) -> "Argument for ~s must be greater or equal than one~n";
get_error_msg(335544979) -> "Argument for ~s must be in the range ]-1, 1[~n";
get_error_msg(335544980) -> "Incorrect parameters provided to internal function ~s~n";
get_error_msg(335544981) -> "Floating point overflow in built-in function ~s~n";
get_error_msg(335544982) -> "Floating point overflow in result from UDF ~s~n";
get_error_msg(335544983) -> "Invalid floating point value returned by UDF ~s~n";
get_error_msg(335544984) -> "Database is probably already opened by another engine instance in another Windows session~n";
get_error_msg(335544985) -> "No free space found in temporary directories~n";
get_error_msg(335544986) -> "Explicit transaction control is not allowed~n";
get_error_msg(335544987) -> "Use of TRUSTED switches in spb_command_line is prohibited~n";
get_error_msg(335544988) -> "PACKAGE ~s~n";
get_error_msg(335544989) -> "Cannot make field ~s of table ~s NOT NULL because there are NULLs present~n";
get_error_msg(335544990) -> "Feature ~s is not supported anymore~n";
get_error_msg(335544991) -> "VIEW ~s~n";
get_error_msg(335544992) -> "Can not access lock files directory ~s~n";
get_error_msg(335544993) -> "Fetch option ~s is invalid for a non-scrollable cursor~n";
get_error_msg(335544994) -> "Error while parsing function ~s's BLR~n";
get_error_msg(335544995) -> "Cannot execute function ~s of the unimplemented package ~s~n";
get_error_msg(335544996) -> "Cannot execute procedure ~s of the unimplemented package ~s~n";
get_error_msg(335544997) -> "External function ~s not returned by the external engine plugin ~s~n";
get_error_msg(335544998) -> "External procedure ~s not returned by the external engine plugin ~s~n";
get_error_msg(335544999) -> "External trigger ~s not returned by the external engine plugin ~s~n";
get_error_msg(335545000) -> "Incompatible plugin version ~s for external engine ~s~n";
get_error_msg(335545001) -> "External engine ~s not found~n";
get_error_msg(335545002) -> "Attachment is in use~n";
get_error_msg(335545003) -> "Transaction is in use~n";
get_error_msg(335545004) -> "Error loading plugin ~s~n";
get_error_msg(335545005) -> "Loadable module ~s not found~n";
get_error_msg(335545006) -> "Standard plugin entrypoint does not exist in module ~s~n";
get_error_msg(335545007) -> "Module ~s exists but can not be loaded~n";
get_error_msg(335545008) -> "Module ~s does not contain plugin ~s type ~s~n";
get_error_msg(335545009) -> "Invalid usage of context namespace DDL_TRIGGER~n";
get_error_msg(335545010) -> "Value is NULL but isNull parameter was not informed~n";
get_error_msg(335545011) -> "Type ~s is incompatible with BLOB~n";
get_error_msg(335545012) -> "Invalid date~n";
get_error_msg(335545013) -> "Invalid time~n";
get_error_msg(335545014) -> "Invalid timestamp~n";
get_error_msg(335545015) -> "Invalid index ~s in function ~s~n";
get_error_msg(335545016) -> "~s~n";
get_error_msg(335545017) -> "Asynchronous call is already running for this attachment~n";
get_error_msg(335545018) -> "Function ~s is private to package ~s~n";
get_error_msg(335545019) -> "Procedure ~s is private to package ~s~n";
get_error_msg(335545020) -> "Request can't access new records in relation ~s and should be recompiled~n";
get_error_msg(335545021) -> "invalid events id (handle)~n";
get_error_msg(335545022) -> "Cannot copy statement ~s~n";
get_error_msg(335545023) -> "Invalid usage of boolean expression~n";
get_error_msg(335545024) -> "Arguments for ~s cannot both be zero~n";
get_error_msg(335545025) -> "missing service ID in spb~n";
get_error_msg(335545026) -> "External BLR message mismatch: invalid null descriptor at field ~s~n";
get_error_msg(335545027) -> "External BLR message mismatch: length = ~s, expected ~s~n";
get_error_msg(335545028) -> "Subscript ~s out of bounds [~s, ~s]~n";
get_error_msg(335545029) -> "Install incomplete, please read the Compatibility chapter in the release notes for this version~n";
get_error_msg(335545030) -> "~s operation is not allowed for system table ~s~n";
get_error_msg(335545031) -> "Libtommath error code ~s in function ~s~n";
get_error_msg(335545032) -> "unsupported BLR version (expected between ~s and ~s, encountered ~s)~n";
get_error_msg(335545033) -> "expected length ~s, actual ~s~n";
get_error_msg(335545034) -> "Wrong info requested in isc_svc_query() for anonymous service~n";
get_error_msg(335545035) -> "No isc_info_svc_stdin in user request, but service thread requested stdin data~n";
get_error_msg(335545036) -> "Start request for anonymous service is impossible~n";
get_error_msg(335545037) -> "All services except for getting server log require switches~n";
get_error_msg(335545038) -> "Size of stdin data is more than was requested from client~n";
get_error_msg(335545039) -> "Crypt plugin ~s failed to load~n";
get_error_msg(335545040) -> "Length of crypt plugin name should not exceed ~s bytes~n";
get_error_msg(335545041) -> "Crypt failed - already crypting database~n";
get_error_msg(335545042) -> "Crypt failed - database is already in requested state~n";
get_error_msg(335545043) -> "Missing crypt plugin, but page appears encrypted~n";
get_error_msg(335545044) -> "No providers loaded~n";
get_error_msg(335545045) -> "NULL data with non-zero SPB length~n";
get_error_msg(335545046) -> "Maximum (~s) number of arguments exceeded for function ~s~n";
get_error_msg(335545047) -> "External BLR message mismatch: names count = ~s, blr count = ~s~n";
get_error_msg(335545048) -> "External BLR message mismatch: name ~s not found~n";
get_error_msg(335545049) -> "Invalid resultset interface~n";
get_error_msg(335545050) -> "Message length passed from user application does not match set of columns~n";
get_error_msg(335545051) -> "Resultset is missing output format information~n";
get_error_msg(335545052) -> "Message metadata not ready - item ~s is not finished~n";
get_error_msg(335545053) -> "Missing configuration file: ~s~n";
get_error_msg(335545054) -> "~s: illegal line <~s>~n";
get_error_msg(335545055) -> "Invalid include operator in ~s for <~s>~n";
get_error_msg(335545056) -> "Include depth too big~n";
get_error_msg(335545057) -> "File to include not found~n";
get_error_msg(335545058) -> "Only the owner can change the ownership~n";
get_error_msg(335545059) -> "undefined variable number~n";
get_error_msg(335545060) -> "Missing security context for ~s~n";
get_error_msg(335545061) -> "Missing segment ~s in multisegment connect block parameter~n";
get_error_msg(335545062) -> "Different logins in connect and attach packets - client library error~n";
get_error_msg(335545063) -> "Exceeded exchange limit during authentication handshake~n";
get_error_msg(335545064) -> "Incompatible wire encryption levels requested on client and server~n";
get_error_msg(335545065) -> "Client attempted to attach unencrypted but wire encryption is required~n";
get_error_msg(335545066) -> "Client attempted to start wire encryption using unknown key ~s~n";
get_error_msg(335545067) -> "Client attempted to start wire encryption using unsupported plugin ~s~n";
get_error_msg(335545068) -> "Error getting security database name from configuration file~n";
get_error_msg(335545069) -> "Client authentication plugin is missing required data from server~n";
get_error_msg(335545070) -> "Client authentication plugin expected ~s bytes of ~s from server, got ~s~n";
get_error_msg(335545071) -> "Attempt to get information about an unprepared dynamic SQL statement.~n";
get_error_msg(335545072) -> "Problematic key value is ~s~n";
get_error_msg(335545073) -> "Cannot select virtual table ~s for update WITH LOCK~n";
get_error_msg(335545074) -> "Cannot select system table ~s for update WITH LOCK~n";
get_error_msg(335545075) -> "Cannot select temporary table ~s for update WITH LOCK~n";
get_error_msg(335545076) -> "System ~s ~s cannot be modified~n";
get_error_msg(335545077) -> "Server misconfigured - contact administrator please~n";
get_error_msg(335545078) -> "Deprecated backward compatibility ALTER ROLE ... SET/DROP AUTO ADMIN mapping may be used only for RDB$ADMIN role~n";
get_error_msg(335545079) -> "Mapping ~s already exists~n";
get_error_msg(335545080) -> "Mapping ~s does not exist~n";
get_error_msg(335545081) -> "~s failed when loading mapping cache~n";
get_error_msg(335545082) -> "Invalid name <*> in authentication block~n";
get_error_msg(335545083) -> "Multiple maps found for ~s~n";
get_error_msg(335545084) -> "Undefined mapping result - more than one different results found~n";
get_error_msg(335545085) -> "Incompatible mode of attachment to damaged database~n";
get_error_msg(335545086) -> "Attempt to set in database number of buffers which is out of acceptable range [~s:~s]~n";
get_error_msg(335545087) -> "Attempt to temporarily set number of buffers less than ~s~n";
get_error_msg(335545088) -> "Global mapping is not available when database ~s is not present~n";
get_error_msg(335545089) -> "Global mapping is not available when table RDB$MAP is not present in database ~s~n";
get_error_msg(335545090) -> "Your attachment has no trusted role~n";
get_error_msg(335545091) -> "Role ~s is invalid or unavailable~n";
get_error_msg(335545092) -> "Cursor ~s is not positioned in a valid record~n";
get_error_msg(335545093) -> "Duplicated user attribute ~s~n";
get_error_msg(335545094) -> "There is no privilege for this operation~n";
get_error_msg(335545095) -> "Using GRANT OPTION on ~s not allowed~n";
get_error_msg(335545096) -> "read conflicts with concurrent update~n";
get_error_msg(335545097) -> "~s failed when working with CREATE DATABASE grants~n";
get_error_msg(335545098) -> "CREATE DATABASE grants check is not possible when database ~s is not present~n";
get_error_msg(335545099) -> "CREATE DATABASE grants check is not possible when table RDB$DB_CREATORS is not present in database ~s~n";
get_error_msg(335545100) -> "Interface ~s version too old: expected ~s, found ~s~n";
get_error_msg(335545101) -> "Input parameter mismatch for function ~s~n";
get_error_msg(335545102) -> "Error during savepoint backout - transaction invalidated~n";
get_error_msg(335545103) -> "Domain used in the PRIMARY KEY constraint of table ~s must be NOT NULL~n";
get_error_msg(335545104) -> "CHARACTER SET ~s cannot be used as a attachment character set~n";
get_error_msg(335545105) -> "Some database(s) were shutdown when trying to read mapping data~n";
get_error_msg(335545106) -> "Error occurred during login, please check server firebird.log for details~n";
get_error_msg(335545107) -> "Database already opened with engine instance, incompatible with current~n";
get_error_msg(335545108) -> "Invalid crypt key ~s~n";
get_error_msg(335545109) -> "Page requires encyption but crypt plugin is missing~n";
get_error_msg(335740929) -> "data base file name (~s) already given~n";
get_error_msg(335740930) -> "invalid switch ~s~n";
get_error_msg(335740932) -> "incompatible switch combination~n";
get_error_msg(335740933) -> "replay log pathname required~n";
get_error_msg(335740934) -> "number of page buffers for cache required~n";
get_error_msg(335740935) -> "numeric value required~n";
get_error_msg(335740936) -> "positive numeric value required~n";
get_error_msg(335740937) -> "number of transactions per sweep required~n";
get_error_msg(335740940) -> "'full' or 'reserve' required~n";
get_error_msg(335740941) -> "user name required~n";
get_error_msg(335740942) -> "password required~n";
get_error_msg(335740943) -> "subsystem name~n";
get_error_msg(335740944) -> "'wal' required~n";
get_error_msg(335740945) -> "number of seconds required~n";
get_error_msg(335740946) -> "numeric value between 0 and 32767 inclusive required~n";
get_error_msg(335740947) -> "must specify type of shutdown~n";
get_error_msg(335740948) -> "please retry, specifying an option~n";
get_error_msg(335740951) -> "please retry, giving a database name~n";
get_error_msg(335740991) -> "internal block exceeds maximum size~n";
get_error_msg(335740992) -> "corrupt pool~n";
get_error_msg(335740993) -> "virtual memory exhausted~n";
get_error_msg(335740994) -> "bad pool id~n";
get_error_msg(335740995) -> "Transaction state ~s not in valid range.~n";
get_error_msg(335741012) -> "unexpected end of input~n";
get_error_msg(335741018) -> "failed to reconnect to a transaction in database ~s~n";
get_error_msg(335741036) -> "Transaction description item unknown~n";
get_error_msg(335741038) -> "'read_only' or 'read_write' required~n";
get_error_msg(335741042) -> "positive or zero numeric value required~n";
get_error_msg(336003074) -> "Cannot SELECT RDB$DB_KEY from a stored procedure.~n";
get_error_msg(336003075) -> "Precision 10 to 18 changed from DOUBLE PRECISION in SQL dialect 1 to 64-bit scaled integer in SQL dialect 3~n";
get_error_msg(336003076) -> "Use of ~s expression that returns different results in dialect 1 and dialect 3~n";
get_error_msg(336003077) -> "Database SQL dialect ~s does not support reference to ~s datatype~n";
get_error_msg(336003079) -> "DB dialect ~s and client dialect ~s conflict with respect to numeric precision ~s.~n";
get_error_msg(336003080) -> "WARNING: Numeric literal ~s is interpreted as a floating-point~n";
get_error_msg(336003081) -> "value in SQL dialect 1, but as an exact numeric value in SQL dialect 3.~n";
get_error_msg(336003082) -> "WARNING: NUMERIC and DECIMAL fields with precision 10 or greater are stored~n";
get_error_msg(336003083) -> "as approximate floating-point values in SQL dialect 1, but as 64-bit~n";
get_error_msg(336003084) -> "integers in SQL dialect 3.~n";
get_error_msg(336003085) -> "Ambiguous field name between ~s and ~s~n";
get_error_msg(336003086) -> "External function should have return position between 1 and ~s~n";
get_error_msg(336003087) -> "Label ~s ~s in the current scope~n";
get_error_msg(336003088) -> "Datatypes ~sare not comparable in expression ~s~n";
get_error_msg(336003089) -> "Empty cursor name is not allowed~n";
get_error_msg(336003090) -> "Statement already has a cursor ~s assigned~n";
get_error_msg(336003091) -> "Cursor ~s is not found in the current context~n";
get_error_msg(336003092) -> "Cursor ~s already exists in the current context~n";
get_error_msg(336003093) -> "Relation ~s is ambiguous in cursor ~s~n";
get_error_msg(336003094) -> "Relation ~s is not found in cursor ~s~n";
get_error_msg(336003095) -> "Cursor is not open~n";
get_error_msg(336003096) -> "Data type ~s is not supported for EXTERNAL TABLES. Relation '~s', field '~s'~n";
get_error_msg(336003097) -> "Feature not supported on ODS version older than ~s.~s~n";
get_error_msg(336003098) -> "Primary key required on table ~s~n";
get_error_msg(336003099) -> "UPDATE OR INSERT field list does not match primary key of table ~s~n";
get_error_msg(336003100) -> "UPDATE OR INSERT field list does not match MATCHING clause~n";
get_error_msg(336003101) -> "UPDATE OR INSERT without MATCHING could not be used with views based on more than one table~n";
get_error_msg(336003102) -> "Incompatible trigger type~n";
get_error_msg(336003103) -> "Database trigger type can't be changed~n";
get_error_msg(336003104) -> "To be used with RDB$RECORD_VERSION, ~s must be a table or a view of single table~n";
get_error_msg(336068645) -> "BLOB Filter ~s not found~n";
get_error_msg(336068649) -> "Function ~s not found~n";
get_error_msg(336068656) -> "Index not found~n";
get_error_msg(336068662) -> "View ~s not found~n";
get_error_msg(336068697) -> "Domain not found~n";
get_error_msg(336068717) -> "Triggers created automatically cannot be modified~n";
get_error_msg(336068740) -> "Table ~s already exists~n";
get_error_msg(336068748) -> "Procedure ~s not found~n";
get_error_msg(336068752) -> "Exception not found~n";
get_error_msg(336068754) -> "Parameter ~s in procedure ~s not found~n";
get_error_msg(336068755) -> "Trigger ~s not found~n";
get_error_msg(336068759) -> "Character set ~s not found~n";
get_error_msg(336068760) -> "Collation ~s not found~n";
get_error_msg(336068763) -> "Role ~s not found~n";
get_error_msg(336068767) -> "Name longer than database column size~n";
get_error_msg(336068784) -> "column ~s does not exist in table/view ~s~n";
get_error_msg(336068796) -> "SQL role ~s does not exist~n";
get_error_msg(336068797) -> "user ~s has no grant admin option on SQL role ~s~n";
get_error_msg(336068798) -> "user ~s is not a member of SQL role ~s~n";
get_error_msg(336068799) -> "~s is not the owner of SQL role ~s~n";
get_error_msg(336068800) -> "~s is a SQL role and not a user~n";
get_error_msg(336068801) -> "user name ~s could not be used for SQL role~n";
get_error_msg(336068802) -> "SQL role ~s already exists~n";
get_error_msg(336068803) -> "keyword ~s can not be used as a SQL role name~n";
get_error_msg(336068804) -> "SQL roles are not supported in on older versions of the database.  A backup and restore of the database is required.~n";
get_error_msg(336068812) -> "Cannot rename domain ~s to ~s.  A domain with that name already exists.~n";
get_error_msg(336068813) -> "Cannot rename column ~s to ~s.  A column with that name already exists in table ~s.~n";
get_error_msg(336068814) -> "Column ~s from table ~s is referenced in ~s~n";
get_error_msg(336068815) -> "Cannot change datatype for column ~s.  Changing datatype is not supported for BLOB or ARRAY columns.~n";
get_error_msg(336068816) -> "New size specified for column ~s must be at least ~s characters.~n";
get_error_msg(336068817) -> "Cannot change datatype for ~s.  Conversion from base type ~s to ~s is not supported.~n";
get_error_msg(336068818) -> "Cannot change datatype for column ~s from a character type to a non-character type.~n";
get_error_msg(336068820) -> "Zero length identifiers are not allowed~n";
get_error_msg(336068822) -> "Sequence ~s not found~n";
get_error_msg(336068829) -> "Maximum number of collations per character set exceeded~n";
get_error_msg(336068830) -> "Invalid collation attributes~n";
get_error_msg(336068840) -> "~s cannot reference ~s~n";
get_error_msg(336068843) -> "Collation ~s is used in table ~s (field name ~s) and cannot be dropped~n";
get_error_msg(336068844) -> "Collation ~s is used in domain ~s and cannot be dropped~n";
get_error_msg(336068845) -> "Cannot delete system collation~n";
get_error_msg(336068846) -> "Cannot delete default collation of CHARACTER SET ~s~n";
get_error_msg(336068849) -> "Table ~s not found~n";
get_error_msg(336068851) -> "Collation ~s is used in procedure ~s (parameter name ~s) and cannot be dropped~n";
get_error_msg(336068852) -> "New scale specified for column ~s must be at most ~s.~n";
get_error_msg(336068853) -> "New precision specified for column ~s must be at least ~s.~n";
get_error_msg(336068855) -> "Warning: ~s on ~s is not granted to ~s.~n";
get_error_msg(336068856) -> "Feature '~s' is not supported in ODS ~s.~s~n";
get_error_msg(336068857) -> "Cannot add or remove COMPUTED from column ~s~n";
get_error_msg(336068858) -> "Password should not be empty string~n";
get_error_msg(336068859) -> "Index ~s already exists~n";
get_error_msg(336068864) -> "Package ~s not found~n";
get_error_msg(336068865) -> "Schema ~s not found~n";
get_error_msg(336068866) -> "Cannot ALTER or DROP system procedure ~s~n";
get_error_msg(336068867) -> "Cannot ALTER or DROP system trigger ~s~n";
get_error_msg(336068868) -> "Cannot ALTER or DROP system function ~s~n";
get_error_msg(336068869) -> "Invalid DDL statement for procedure ~s~n";
get_error_msg(336068870) -> "Invalid DDL statement for trigger ~s~n";
get_error_msg(336068871) -> "Function ~s has not been defined on the package body ~s~n";
get_error_msg(336068872) -> "Procedure ~s has not been defined on the package body ~s~n";
get_error_msg(336068873) -> "Function ~s has a signature mismatch on package body ~s~n";
get_error_msg(336068874) -> "Procedure ~s has a signature mismatch on package body ~s~n";
get_error_msg(336068875) -> "Default values for parameters are allowed only in declaration of packaged procedure ~s.~s~n";
get_error_msg(336068877) -> "Package body ~s already exists~n";
get_error_msg(336068878) -> "Invalid DDL statement for function ~s~n";
get_error_msg(336068879) -> "Cannot alter new style function ~s with ALTER EXTERNAL FUNCTION. Use ALTER FUNCTION instead.~n";
get_error_msg(336068886) -> "Parameter ~s in function ~s not found~n";
get_error_msg(336068887) -> "Parameter ~s of routine ~s not found~n";
get_error_msg(336068888) -> "Parameter ~s of routine ~s is ambiguous (found in both procedures and functions). Use a specifier keyword.~n";
get_error_msg(336068889) -> "Collation ~s is used in function ~s (parameter name ~s) and cannot be dropped~n";
get_error_msg(336068890) -> "Domain ~s is used in function ~s (parameter name ~s) and cannot be dropped~n";
get_error_msg(336068891) -> "ALTER USER requires at least one clause to be specified~n";
get_error_msg(336068894) -> "Duplicate ~s ~s~n";
get_error_msg(336068895) -> "System ~s ~s cannot be modified~n";
get_error_msg(336068896) -> "INCREMENT BY 0 is an illegal option for sequence ~s~n";
get_error_msg(336068897) -> "Can't use ~s in FOREIGN KEY constraint~n";
get_error_msg(336068898) -> "Default values for parameters are allowed only in declaration of packaged function ~s.~s~n";
get_error_msg(336330753) -> "found unknown switch~n";
get_error_msg(336330754) -> "page size parameter missing~n";
get_error_msg(336330755) -> "Page size specified (~s) greater than limit (16384 bytes)~n";
get_error_msg(336330756) -> "redirect location for output is not specified~n";
get_error_msg(336330757) -> "conflicting switches for backup/restore~n";
get_error_msg(336330758) -> "device type ~s not known~n";
get_error_msg(336330759) -> "protection is not there yet~n";
get_error_msg(336330760) -> "page size is allowed only on restore or create~n";
get_error_msg(336330761) -> "multiple sources or destinations specified~n";
get_error_msg(336330762) -> "requires both input and output filenames~n";
get_error_msg(336330763) -> "input and output have the same name.  Disallowed.~n";
get_error_msg(336330764) -> "expected page size, encountered '~s'~n";
get_error_msg(336330765) -> "REPLACE specified, but the first file ~s is a database~n";
get_error_msg(336330766) -> "database ~s already exists.  To replace it, use the -REP switch~n";
get_error_msg(336330767) -> "device type not specified~n";
get_error_msg(336330772) -> "gds_$blob_info failed~n";
get_error_msg(336330773) -> "do not understand BLOB INFO item ~s~n";
get_error_msg(336330774) -> "gds_$get_segment failed~n";
get_error_msg(336330775) -> "gds_$close_blob failed~n";
get_error_msg(336330776) -> "gds_$open_blob failed~n";
get_error_msg(336330777) -> "Failed in put_blr_gen_id~n";
get_error_msg(336330778) -> "data type ~s not understood~n";
get_error_msg(336330779) -> "gds_$compile_request failed~n";
get_error_msg(336330780) -> "gds_$start_request failed~n";
get_error_msg(336330781) -> "gds_$receive failed~n";
get_error_msg(336330782) -> "gds_$release_request failed~n";
get_error_msg(336330783) -> "gds_$database_info failed~n";
get_error_msg(336330784) -> "Expected database description record~n";
get_error_msg(336330785) -> "failed to create database ~s~n";
get_error_msg(336330786) -> "RESTORE: decompression length error~n";
get_error_msg(336330787) -> "cannot find table ~s~n";
get_error_msg(336330788) -> "Cannot find column for BLOB~n";
get_error_msg(336330789) -> "gds_$create_blob failed~n";
get_error_msg(336330790) -> "gds_$put_segment failed~n";
get_error_msg(336330791) -> "expected record length~n";
get_error_msg(336330792) -> "wrong length record, expected ~s encountered ~s~n";
get_error_msg(336330793) -> "expected data attribute~n";
get_error_msg(336330794) -> "Failed in store_blr_gen_id~n";
get_error_msg(336330795) -> "do not recognize record type ~s~n";
get_error_msg(336330796) -> "Expected backup version 1..10.  Found ~s~n";
get_error_msg(336330797) -> "expected backup description record~n";
get_error_msg(336330798) -> "string truncated~n";
get_error_msg(336330799) -> "warning -- record could not be restored~n";
get_error_msg(336330800) -> "gds_$send failed~n";
get_error_msg(336330801) -> "no table name for data~n";
get_error_msg(336330802) -> "unexpected end of file on backup file~n";
get_error_msg(336330803) -> "database format ~s is too old to restore to~n";
get_error_msg(336330804) -> "array dimension for column ~s is invalid~n";
get_error_msg(336330807) -> "Expected XDR record length~n";
get_error_msg(336330817) -> "cannot open backup file ~s~n";
get_error_msg(336330818) -> "cannot open status and error output file ~s~n";
get_error_msg(336330934) -> "blocking factor parameter missing~n";
get_error_msg(336330935) -> "expected blocking factor, encountered '~s'~n";
get_error_msg(336330936) -> "a blocking factor may not be used in conjunction with device CT~n";
get_error_msg(336330940) -> "user name parameter missing~n";
get_error_msg(336330941) -> "password parameter missing~n";
get_error_msg(336330952) -> " missing parameter for the number of bytes to be skipped~n";
get_error_msg(336330953) -> "expected number of bytes to be skipped, encountered '~s'~n";
get_error_msg(336330965) -> "character set~n";
get_error_msg(336330967) -> "collation~n";
get_error_msg(336330972) -> "Unexpected I/O error while reading from backup file~n";
get_error_msg(336330973) -> "Unexpected I/O error while writing to backup file~n";
get_error_msg(336330985) -> "could not drop database ~s (database might be in use)~n";
get_error_msg(336330990) -> "System memory exhausted~n";
get_error_msg(336331002) -> "SQL role~n";
get_error_msg(336331005) -> "SQL role parameter missing~n";
get_error_msg(336331010) -> "page buffers parameter missing~n";
get_error_msg(336331011) -> "expected page buffers, encountered '~s'~n";
get_error_msg(336331012) -> "page buffers is allowed only on restore or create~n";
get_error_msg(336331014) -> "size specification either missing or incorrect for file ~s~n";
get_error_msg(336331015) -> "file ~s out of sequence~n";
get_error_msg(336331016) -> "can't join -- one of the files missing~n";
get_error_msg(336331017) -> " standard input is not supported when using join operation~n";
get_error_msg(336331018) -> "standard output is not supported when using split operation or in verbose mode~n";
get_error_msg(336331019) -> "backup file ~s might be corrupt~n";
get_error_msg(336331020) -> "database file specification missing~n";
get_error_msg(336331021) -> "can't write a header record to file ~s~n";
get_error_msg(336331022) -> "free disk space exhausted~n";
get_error_msg(336331023) -> "file size given (~s) is less than minimum allowed (~s)~n";
get_error_msg(336331025) -> "service name parameter missing~n";
get_error_msg(336331026) -> "Cannot restore over current database, must be SYSDBA or owner of the existing database.~n";
get_error_msg(336331031) -> "'read_only' or 'read_write' required~n";
get_error_msg(336331033) -> "just data ignore all constraints etc.~n";
get_error_msg(336331034) -> "restoring data only ignoring foreign key, unique, not null & other constraints~n";
get_error_msg(336331078) -> "verbose interval value parameter missing~n";
get_error_msg(336331079) -> "verbose interval value cannot be smaller than ~s~n";
get_error_msg(336331081) -> "verify (verbose) and verbint options are mutually exclusive~n";
get_error_msg(336331082) -> "option -~s is allowed only on restore or create~n";
get_error_msg(336331083) -> "option -~s is allowed only on backup~n";
get_error_msg(336331084) -> "options -~s and -~s are mutually exclusive~n";
get_error_msg(336331085) -> "parameter for option -~s was already specified with value '~s'~n";
get_error_msg(336331086) -> "option -~s was already specified~n";
get_error_msg(336331091) -> "dependency depth greater than ~s for view ~s~n";
get_error_msg(336331092) -> "value greater than ~s when calculating length of rdb$db_key for view ~s~n";
get_error_msg(336331093) -> "Invalid metadata detected. Use -FIX_FSS_METADATA option.~n";
get_error_msg(336331094) -> "Invalid data detected. Use -FIX_FSS_DATA option.~n";
get_error_msg(336331096) -> "Expected backup version ~s..~s.  Found ~s~n";
get_error_msg(336331100) -> "database format ~s is too old to backup~n";
get_error_msg(336397205) -> "ODS versions before ODS~s are not supported~n";
get_error_msg(336397206) -> "Table ~s does not exist~n";
get_error_msg(336397207) -> "View ~s does not exist~n";
get_error_msg(336397208) -> "At line ~s, column ~s~n";
get_error_msg(336397209) -> "At unknown line and column~n";
get_error_msg(336397210) -> "Column ~s cannot be repeated in ~s statement~n";
get_error_msg(336397211) -> "Too many values (more than ~s) in member list to match against~n";
get_error_msg(336397212) -> "Array and BLOB data types not allowed in computed field~n";
get_error_msg(336397213) -> "Implicit domain name ~s not allowed in user created domain~n";
get_error_msg(336397214) -> "scalar operator used on field ~s which is not an array~n";
get_error_msg(336397215) -> "cannot sort on more than 255 items~n";
get_error_msg(336397216) -> "cannot group on more than 255 items~n";
get_error_msg(336397217) -> "Cannot include the same field (~s.~s) twice in the ORDER BY clause with conflicting sorting options~n";
get_error_msg(336397218) -> "column list from derived table ~s has more columns than the number of items in its SELECT statement~n";
get_error_msg(336397219) -> "column list from derived table ~s has less columns than the number of items in its SELECT statement~n";
get_error_msg(336397220) -> "no column name specified for column number ~s in derived table ~s~n";
get_error_msg(336397221) -> "column ~s was specified multiple times for derived table ~s~n";
get_error_msg(336397222) -> "Internal dsql error: alias type expected by pass1_expand_select_node~n";
get_error_msg(336397223) -> "Internal dsql error: alias type expected by pass1_field~n";
get_error_msg(336397224) -> "Internal dsql error: column position out of range in pass1_union_auto_cast~n";
get_error_msg(336397225) -> "Recursive CTE member (~s) can refer itself only in FROM clause~n";
get_error_msg(336397226) -> "CTE '~s' has cyclic dependencies~n";
get_error_msg(336397227) -> "Recursive member of CTE can't be member of an outer join~n";
get_error_msg(336397228) -> "Recursive member of CTE can't reference itself more than once~n";
get_error_msg(336397229) -> "Recursive CTE (~s) must be an UNION~n";
get_error_msg(336397230) -> "CTE '~s' defined non-recursive member after recursive~n";
get_error_msg(336397231) -> "Recursive member of CTE '~s' has ~s clause~n";
get_error_msg(336397232) -> "Recursive members of CTE (~s) must be linked with another members via UNION ALL~n";
get_error_msg(336397233) -> "Non-recursive member is missing in CTE '~s'~n";
get_error_msg(336397234) -> "WITH clause can't be nested~n";
get_error_msg(336397235) -> "column ~s appears more than once in USING clause~n";
get_error_msg(336397236) -> "feature is not supported in dialect ~s~n";
get_error_msg(336397237) -> "CTE '~s' is not used in query~n";
get_error_msg(336397238) -> "column ~s appears more than once in ALTER VIEW~n";
get_error_msg(336397239) -> "~s is not supported inside IN AUTONOMOUS TRANSACTION block~n";
get_error_msg(336397240) -> "Unknown node type ~s in dsql/GEN_expr~n";
get_error_msg(336397241) -> "Argument for ~s in dialect 1 must be string or numeric~n";
get_error_msg(336397242) -> "Argument for ~s in dialect 3 must be numeric~n";
get_error_msg(336397243) -> "Strings cannot be added to or subtracted from DATE or TIME types~n";
get_error_msg(336397244) -> "Invalid data type for subtraction involving DATE, TIME or TIMESTAMP types~n";
get_error_msg(336397245) -> "Adding two DATE values or two TIME values is not allowed~n";
get_error_msg(336397246) -> "DATE value cannot be subtracted from the provided data type~n";
get_error_msg(336397247) -> "Strings cannot be added or subtracted in dialect 3~n";
get_error_msg(336397248) -> "Invalid data type for addition or subtraction in dialect 3~n";
get_error_msg(336397249) -> "Invalid data type for multiplication in dialect 1~n";
get_error_msg(336397250) -> "Strings cannot be multiplied in dialect 3~n";
get_error_msg(336397251) -> "Invalid data type for multiplication in dialect 3~n";
get_error_msg(336397252) -> "Division in dialect 1 must be between numeric data types~n";
get_error_msg(336397253) -> "Strings cannot be divided in dialect 3~n";
get_error_msg(336397254) -> "Invalid data type for division in dialect 3~n";
get_error_msg(336397255) -> "Strings cannot be negated (applied the minus operator) in dialect 3~n";
get_error_msg(336397256) -> "Invalid data type for negation (minus operator)~n";
get_error_msg(336397257) -> "Cannot have more than 255 items in DISTINCT list~n";
get_error_msg(336397258) -> "ALTER CHARACTER SET ~s failed~n";
get_error_msg(336397259) -> "COMMENT ON ~s failed~n";
get_error_msg(336397260) -> "CREATE FUNCTION ~s failed~n";
get_error_msg(336397261) -> "ALTER FUNCTION ~s failed~n";
get_error_msg(336397262) -> "CREATE OR ALTER FUNCTION ~s failed~n";
get_error_msg(336397263) -> "DROP FUNCTION ~s failed~n";
get_error_msg(336397264) -> "RECREATE FUNCTION ~s failed~n";
get_error_msg(336397265) -> "CREATE PROCEDURE ~s failed~n";
get_error_msg(336397266) -> "ALTER PROCEDURE ~s failed~n";
get_error_msg(336397267) -> "CREATE OR ALTER PROCEDURE ~s failed~n";
get_error_msg(336397268) -> "DROP PROCEDURE ~s failed~n";
get_error_msg(336397269) -> "RECREATE PROCEDURE ~s failed~n";
get_error_msg(336397270) -> "CREATE TRIGGER ~s failed~n";
get_error_msg(336397271) -> "ALTER TRIGGER ~s failed~n";
get_error_msg(336397272) -> "CREATE OR ALTER TRIGGER ~s failed~n";
get_error_msg(336397273) -> "DROP TRIGGER ~s failed~n";
get_error_msg(336397274) -> "RECREATE TRIGGER ~s failed~n";
get_error_msg(336397275) -> "CREATE COLLATION ~s failed~n";
get_error_msg(336397276) -> "DROP COLLATION ~s failed~n";
get_error_msg(336397277) -> "CREATE DOMAIN ~s failed~n";
get_error_msg(336397278) -> "ALTER DOMAIN ~s failed~n";
get_error_msg(336397279) -> "DROP DOMAIN ~s failed~n";
get_error_msg(336397280) -> "CREATE EXCEPTION ~s failed~n";
get_error_msg(336397281) -> "ALTER EXCEPTION ~s failed~n";
get_error_msg(336397282) -> "CREATE OR ALTER EXCEPTION ~s failed~n";
get_error_msg(336397283) -> "RECREATE EXCEPTION ~s failed~n";
get_error_msg(336397284) -> "DROP EXCEPTION ~s failed~n";
get_error_msg(336397285) -> "CREATE SEQUENCE ~s failed~n";
get_error_msg(336397286) -> "CREATE TABLE ~s failed~n";
get_error_msg(336397287) -> "ALTER TABLE ~s failed~n";
get_error_msg(336397288) -> "DROP TABLE ~s failed~n";
get_error_msg(336397289) -> "RECREATE TABLE ~s failed~n";
get_error_msg(336397290) -> "CREATE PACKAGE ~s failed~n";
get_error_msg(336397291) -> "ALTER PACKAGE ~s failed~n";
get_error_msg(336397292) -> "CREATE OR ALTER PACKAGE ~s failed~n";
get_error_msg(336397293) -> "DROP PACKAGE ~s failed~n";
get_error_msg(336397294) -> "RECREATE PACKAGE ~s failed~n";
get_error_msg(336397295) -> "CREATE PACKAGE BODY ~s failed~n";
get_error_msg(336397296) -> "DROP PACKAGE BODY ~s failed~n";
get_error_msg(336397297) -> "RECREATE PACKAGE BODY ~s failed~n";
get_error_msg(336397298) -> "CREATE VIEW ~s failed~n";
get_error_msg(336397299) -> "ALTER VIEW ~s failed~n";
get_error_msg(336397300) -> "CREATE OR ALTER VIEW ~s failed~n";
get_error_msg(336397301) -> "RECREATE VIEW ~s failed~n";
get_error_msg(336397302) -> "DROP VIEW ~s failed~n";
get_error_msg(336397303) -> "DROP SEQUENCE ~s failed~n";
get_error_msg(336397304) -> "RECREATE SEQUENCE ~s failed~n";
get_error_msg(336397305) -> "DROP INDEX ~s failed~n";
get_error_msg(336397306) -> "DROP FILTER ~s failed~n";
get_error_msg(336397307) -> "DROP SHADOW ~s failed~n";
get_error_msg(336397308) -> "DROP ROLE ~s failed~n";
get_error_msg(336397309) -> "DROP USER ~s failed~n";
get_error_msg(336397310) -> "CREATE ROLE ~s failed~n";
get_error_msg(336397311) -> "ALTER ROLE ~s failed~n";
get_error_msg(336397312) -> "ALTER INDEX ~s failed~n";
get_error_msg(336397313) -> "ALTER DATABASE failed~n";
get_error_msg(336397314) -> "CREATE SHADOW ~s failed~n";
get_error_msg(336397315) -> "DECLARE FILTER ~s failed~n";
get_error_msg(336397316) -> "CREATE INDEX ~s failed~n";
get_error_msg(336397317) -> "CREATE USER ~s failed~n";
get_error_msg(336397318) -> "ALTER USER ~s failed~n";
get_error_msg(336397319) -> "GRANT failed~n";
get_error_msg(336397320) -> "REVOKE failed~n";
get_error_msg(336397321) -> "Recursive member of CTE cannot use aggregate or window function~n";
get_error_msg(336397322) -> "~s MAPPING ~s failed~n";
get_error_msg(336397323) -> "ALTER SEQUENCE ~s failed~n";
get_error_msg(336397324) -> "CREATE GENERATOR ~s failed~n";
get_error_msg(336397325) -> "SET GENERATOR ~s failed~n";
get_error_msg(336397326) -> "WITH LOCK can be used only with a single physical table~n";
get_error_msg(336397327) -> "FIRST/SKIP cannot be used with OFFSET/FETCH or ROWS~n";
get_error_msg(336397328) -> "WITH LOCK cannot be used with aggregates~n";
get_error_msg(336397329) -> "WITH LOCK cannot be used with ~s~n";
get_error_msg(336397330) -> "Number of arguments (~s) exceeds the maximum (~s) number of EXCEPTION USING arguments~n";
get_error_msg(336397331) -> "String literal with ~s bytes exceeds the maximum length of ~s bytes~n";
get_error_msg(336397332) -> "String literal with ~s characters exceeds the maximum length of ~s characters for the ~s character set~n";
get_error_msg(336397333) -> "Too many BEGIN...END nesting. Maximum level is ~s~n";
get_error_msg(336723983) -> "unable to open database~n";
get_error_msg(336723984) -> "error in switch specifications~n";
get_error_msg(336723985) -> "no operation specified~n";
get_error_msg(336723986) -> "no user name specified~n";
get_error_msg(336723987) -> "add record error~n";
get_error_msg(336723988) -> "modify record error~n";
get_error_msg(336723989) -> "find/modify record error~n";
get_error_msg(336723990) -> "record not found for user: ~s~n";
get_error_msg(336723991) -> "delete record error~n";
get_error_msg(336723992) -> "find/delete record error~n";
get_error_msg(336723996) -> "find/display record error~n";
get_error_msg(336723997) -> "invalid parameter, no switch defined~n";
get_error_msg(336723998) -> "operation already specified~n";
get_error_msg(336723999) -> "password already specified~n";
get_error_msg(336724000) -> "uid already specified~n";
get_error_msg(336724001) -> "gid already specified~n";
get_error_msg(336724002) -> "project already specified~n";
get_error_msg(336724003) -> "organization already specified~n";
get_error_msg(336724004) -> "first name already specified~n";
get_error_msg(336724005) -> "middle name already specified~n";
get_error_msg(336724006) -> "last name already specified~n";
get_error_msg(336724008) -> "invalid switch specified~n";
get_error_msg(336724009) -> "ambiguous switch specified~n";
get_error_msg(336724010) -> "no operation specified for parameters~n";
get_error_msg(336724011) -> "no parameters allowed for this operation~n";
get_error_msg(336724012) -> "incompatible switches specified~n";
get_error_msg(336724044) -> "Invalid user name (maximum 31 bytes allowed)~n";
get_error_msg(336724045) -> "Warning - maximum 8 significant bytes of password used~n";
get_error_msg(336724046) -> "database already specified~n";
get_error_msg(336724047) -> "database administrator name already specified~n";
get_error_msg(336724048) -> "database administrator password already specified~n";
get_error_msg(336724049) -> "SQL role name already specified~n";
get_error_msg(336920577) -> "found unknown switch~n";
get_error_msg(336920578) -> "please retry, giving a database name~n";
get_error_msg(336920579) -> "Wrong ODS version, expected ~s, encountered ~s~n";
get_error_msg(336920580) -> "Unexpected end of database file.~n";
get_error_msg(336920605) -> "Can't open database file ~s~n";
get_error_msg(336920606) -> "Can't read a database page~n";
get_error_msg(336920607) -> "System memory exhausted~n";
get_error_msg(336986113) -> "Wrong value for access mode~n";
get_error_msg(336986114) -> "Wrong value for write mode~n";
get_error_msg(336986115) -> "Wrong value for reserve space~n";
get_error_msg(336986116) -> "Unknown tag (~s) in info_svr_db_info block after isc_svc_query()~n";
get_error_msg(336986117) -> "Unknown tag (~s) in isc_svc_query() results~n";
get_error_msg(336986118) -> "Unknown switch '~s'~n";
get_error_msg(336986159) -> "Wrong value for shutdown mode~n";
get_error_msg(336986160) -> "could not open file ~s~n";
get_error_msg(336986161) -> "could not read file ~s~n";
get_error_msg(336986162) -> "empty file ~s~n";
get_error_msg(336986164) -> "Invalid or missing parameter for switch ~s~n";
get_error_msg(337051649) -> "Switches trusted_user and trusted_role are not supported from command line~n";
get_error_msg(337117213) -> "Missing parameter for switch ~s~n";
get_error_msg(337117214) -> "Only one of -LOCK, -UNLOCK, -FIXUP, -BACKUP or -RESTORE should be specified~n";
get_error_msg(337117215) -> "Unrecognized parameter ~s~n";
get_error_msg(337117216) -> "Unknown switch ~s~n";
get_error_msg(337117217) -> "Fetch password can't be used in service mode~n";
get_error_msg(337117218) -> "Error working with password file '~s'~n";
get_error_msg(337117219) -> "Switch -SIZE can be used only with -LOCK~n";
get_error_msg(337117220) -> "None of -LOCK, -UNLOCK, -FIXUP, -BACKUP or -RESTORE specified~n";
get_error_msg(337117223) -> "IO error reading file: ~s~n";
get_error_msg(337117224) -> "IO error writing file: ~s~n";
get_error_msg(337117225) -> "IO error seeking file: ~s~n";
get_error_msg(337117226) -> "Error opening database file: ~s~n";
get_error_msg(337117227) -> "Error in posix_fadvise(~s) for database ~s~n";
get_error_msg(337117228) -> "Error creating database file: ~s~n";
get_error_msg(337117229) -> "Error opening backup file: ~s~n";
get_error_msg(337117230) -> "Error creating backup file: ~s~n";
get_error_msg(337117231) -> "Unexpected end of database file ~s~n";
get_error_msg(337117232) -> "Database ~s is not in state (~s) to be safely fixed up~n";
get_error_msg(337117233) -> "Database error~n";
get_error_msg(337117234) -> "Username or password is too long~n";
get_error_msg(337117235) -> "Cannot find record for database '~s' backup level ~s in the backup history~n";
get_error_msg(337117236) -> "Internal error. History query returned null SCN or GUID~n";
get_error_msg(337117237) -> "Unexpected end of file when reading header of database file '~s' (stage ~s)~n";
get_error_msg(337117238) -> "Internal error. Database file is not locked. Flags are ~s~n";
get_error_msg(337117239) -> "Internal error. Cannot get backup guid clumplet~n";
get_error_msg(337117240) -> "Internal error. Database page ~s had been changed during backup (page SCN=~s, backup SCN=~s)~n";
get_error_msg(337117241) -> "Database file size is not a multiple of page size~n";
get_error_msg(337117242) -> "Level 0 backup is not restored~n";
get_error_msg(337117243) -> "Unexpected end of file when reading header of backup file: ~s~n";
get_error_msg(337117244) -> "Invalid incremental backup file: ~s~n";
get_error_msg(337117245) -> "Unsupported version ~s of incremental backup file: ~s~n";
get_error_msg(337117246) -> "Invalid level ~s of incremental backup file: ~s, expected ~s~n";
get_error_msg(337117247) -> "Wrong order of backup files or invalid incremental backup file detected, file: ~s~n";
get_error_msg(337117248) -> "Unexpected end of backup file: ~s~n";
get_error_msg(337117249) -> "Error creating database file: ~s via copying from: ~s~n";
get_error_msg(337117250) -> "Unexpected end of file when reading header of restored database file (stage ~s)~n";
get_error_msg(337117251) -> "Cannot get backup guid clumplet from L0 backup~n";
get_error_msg(337117255) -> "Wrong parameter ~s for switch -D, need ON or OFF~n";
get_error_msg(337117257) -> "Terminated due to user request~n";
get_error_msg(337117259) -> "Too complex decompress command (> ~s arguments)~n";
get_error_msg(337182750) -> "conflicting actions '~s' and '~s' found~n";
get_error_msg(337182751) -> "action switch not found~n";
get_error_msg(337182752) -> "switch '~s' must be set only once~n";
get_error_msg(337182753) -> "value for switch '~s' is missing~n";
get_error_msg(337182754) -> "invalid value ('~s') for switch '~s'~n";
get_error_msg(337182755) -> "unknown switch '~s' encountered~n";
get_error_msg(337182756) -> "switch '~s' can be used by service only~n";
get_error_msg(337182757) -> "switch '~s' can be used by interactive user only~n";
get_error_msg(337182758) -> "mandatory parameter '~s' for switch '~s' is missing~n";
get_error_msg(337182759) -> "parameter '~s' is incompatible with action '~s'~n";
get_error_msg(337182760) -> "mandatory switch '~s' is missing~n";
get_error_msg(_) -> "".
